From e1c23449d44fa20e41b510d5edce3befaa5d2010 Mon Sep 17 00:00:00 2001
From: Mark Hodgkinson <mhodgkin@aiatlas025.cern.ch>
Date: Thu, 15 Oct 2020 16:50:06 +0200
Subject: [PATCH] Add new data18 test which uses large radius tracking.

---
 ...test_data18_13TeV_largeRadiusTrackingOn.sh | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100755 Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV_largeRadiusTrackingOn.sh

diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV_largeRadiusTrackingOn.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV_largeRadiusTrackingOn.sh
new file mode 100755
index 00000000000..c9b27639532
--- /dev/null
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV_largeRadiusTrackingOn.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# art-description: Reco_tf runs on 13TeV collision data 2018
+# art-athena-mt: 4
+# art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
+
+Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data18_13TeV/data18_13TeV.00348885.physics_Main.daq.RAW._lb0827._SFO-8._0002.data --preExec r2a:'from InDetRecExample.InDetJobProperties import InDetFlags; InDetFlags.doR3LargeD0.set_Value_and_Lock(True);' --maxEvents 300 --AMI=f926 --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputHISTFile myHist.root
+
+#Remember retval of transform as art result
+RES=$?
+echo "art-result: $RES Reco"
+return $RES
+
-- 
GitLab